Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.intermediate.extensions
Class Link

    java.lang.Object
      org.apache.fop.render.intermediate.extensions.Link

    public class Link

extends java.lang.Object

This class is a link element for use in the intermediate format.

Constructor Summary
`Link(AbstractAction action, java.awt.Rectangle targetRect)` Creates a new named destination.

Method Summary
`AbstractAction` | `getAction()` Returns the action performed when the destination is selected.
`java.awt.Rectangle` | `getTargetRect()` Returns the target rectangle, i.e.
`void` | `setAction(AbstractAction action)` Sets the action performed when the destination is selected.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Link

    public Link(AbstractAction action,
                java.awt.Rectangle targetRect)

  Creates a new named destination.

  Parameters:
    `action` - the action performed when the destination is selected
    `targetRect` - the target rectangle (coordinates in millipoints)

Method Detail

### getAction

    public AbstractAction getAction()

  Returns the action performed when the destination is selected.

  Returns:
    the action

### getTargetRect

    public java.awt.Rectangle getTargetRect()

  Returns the target rectangle, i.e. the hot zone in which the link is activated.

  Returns:
    the target rectangle

### setAction

    public void setAction(AbstractAction action)

  Sets the action performed when the destination is selected.

  Parameters:
    `action` - the action

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2017 The Apache Software Foundation. All Rights Reserved.